%define upstream_name    App-cpangitify
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Convert cpan distribution from BackPAN to a git repository
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(BackPAN::Index)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(CPAN::ReleaseHistory)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Path::Class)
BuildRequires: perl(PerlX::Maybe)
BuildRequires: perl(PerlX::Maybe::XS)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test2::API) >= 1.302.96
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test2::Plugin::FauxHomeDir)
BuildRequires: perl(URI)
BuildRequires: perl(URI::file)
BuildRequires: perl(autodie)
BuildArch: noarch

%description
This is the module for the the cpangitify manpage script. See the
cpangitify manpage for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc META.json META.yml INSTALL LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpangitify
/usr/share/man/man1/cpangitify.1.xz



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-5.mga8
+ Revision: 1503463
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-4.mga7
+ Revision: 1281678
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.170.0-3.mga7
+ Revision: 1163120
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 tv <tv> 0.170.0-2.mga7
+ Revision: 1156603
- really add missing BRs for testsuite
+ shlomif <shlomif>
- New version 0.17

* Tue Aug 08 2017 shlomif <shlomif> 0.160.0-1.mga7
+ Revision: 1138973
- New version 0.16

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1022540
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 966183
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.120.0-1.mga6
+ Revision: 842955
- Add missing BR
- New version 0.12
- imported package perl-App-cpangitify


* Mon Dec 02 2013 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
